package com.app.wave.keyboard.kbhelper;



import java.util.ArrayList;
import java.util.List;

public class RespLayout {
    private String name;
    private List<KBModel> KBModels = new ArrayList<>();


    public RespLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KBModel> getKeys() {
        return KBModels;
    }

    public void addKey(KBModel KBModel) {
        this.KBModels.add(KBModel);
    }

    public KBModel getLastKey() {
        return KBModels.isEmpty() ? null : KBModels.get(KBModels.size() - 1);
    }


}